Package rainbowPackage

# Class RainbowVideo

java.lang.Object
rainbowPackage.RainbowVideo

public class RainbowVideo extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RainbowVideo(javafx.stage.Stage TertiaryStage, javafx.scene.image.Image TertiaryBasisImage, javafx.scene.image.Image TertiaryBackgroundBasisImage, javafx.scene.web.WebEngine ThirdBrowserEngine, javafx.scene.web.WebView ThirdBrowser, javafx.scene.layout.StackPane[] ThirdStackPane, javafx.scene.Scene[] ThirdScene, javafx.stage.Screen ThirdScreen, javafx.scene.control.Label ThirdStateLabel, File ThirdFile, File ThirdJavaScriptFile, File ThirdXSliderFile, Thread TertiaryThread, boolean TertiaryIsFullScreened, javafx.scene.image.Image TertiaryBackupWorkAroundImage, double VideoFrameQuantity, double StartingPoint, double VideoSequenceLoopQuantity, org.jcodec.common.io.SeekableByteChannel TertiaryVideoOut, javafx.scene.image.WritableImage TertiaryWritableImage, javafx.scene.image.PixelWriter TertiaryPW, javafx.scene.image.ImageView TertiaryImageView, javafx.scene.image.Image TertiaryCurrentBrowserImage, javafx.scene.image.WritableImage TertiaryBufferPicture, double NumberOfScrollFrames, javafx.scene.Parent TertiaryRoot)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BufferedImage`
  `Runner()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RainbowVideo

    public RainbowVideo(javafx.stage.Stage TertiaryStage, javafx.scene.image.Image TertiaryBasisImage, javafx.scene.image.Image TertiaryBackgroundBasisImage, javafx.scene.web.WebEngine ThirdBrowserEngine, javafx.scene.web.WebView ThirdBrowser, javafx.scene.layout.StackPane[] ThirdStackPane, javafx.scene.Scene[] ThirdScene, javafx.stage.Screen ThirdScreen, javafx.scene.control.Label ThirdStateLabel, File ThirdFile, File ThirdJavaScriptFile, File ThirdXSliderFile, Thread TertiaryThread, boolean TertiaryIsFullScreened, javafx.scene.image.Image TertiaryBackupWorkAroundImage, double VideoFrameQuantity, double StartingPoint, double VideoSequenceLoopQuantity, org.jcodec.common.io.SeekableByteChannel TertiaryVideoOut, javafx.scene.image.WritableImage TertiaryWritableImage, javafx.scene.image.PixelWriter TertiaryPW, javafx.scene.image.ImageView TertiaryImageView, javafx.scene.image.Image TertiaryCurrentBrowserImage, javafx.scene.image.WritableImage TertiaryBufferPicture, double NumberOfScrollFrames, javafx.scene.Parent TertiaryRoot)

- ## Method Details

  - ### Runner

    public BufferedImage Runner()